﻿@{
    ViewBag.Title = "Risk Register";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/bootstrap-datepicker/css/bootstrap-datepicker.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="~/Content/plugins/autoNumeric-1.9.18.js"></script>
<link href="~/Content/plugins/tabwizard/tabwizard2.css" rel="stylesheet" />
<script src="~/Content/plugins/tabwizard/tabwizard2.js"></script>
<link href="~/Content/plugins/fileinput/css/fileinput.css" rel="stylesheet" />

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>



<script type="text/javascript">

    var oVersion;
    var oStatus;

    $(function () {
        $('#txtihrrisk_finimpactamount').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });
        $('#txtihrrisk_oprimpactloss').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });
        $('#txtresrisk_finimpactamount').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });
        $('#txtresrisk_oprimpactloss').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });
        $('#txtcba_ihrriskvalue').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });
        $('#txtcba_resrisk').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });

    });

    function loadTooltip() {
        $("#txtriskno").attr('title', 'nomor risk autogenerate');
        $("#ddlyear").attr('title', 'pilih tahun finansial');
        $("#txtdivision").attr('title', 'nama division ybs');
        $("#ddlcompanykpi").attr('title', 'KPI dari perusahaan yang link dengan depertment atau divisi ybs.');
        $("#txtdepartment").attr('title', 'nama division ybs');
        $("#ddldivisionkpi").attr('title', 'KPI dari division, yang link dengan KPI company. manual');
        $("#ddldepartmentkpi").attr('title', 'KPI dari department, yang link dengan KPI company. manual');
        $("#txtactivitybp").attr('title', 'critical aktivitas');
        $("#txtriskdesc_loss").attr('title', 'kemungkinan resiko yang ada di dalam critical process');
        $("#txtriskdesc_caused").attr('title', 'sesuatu yang dapat menyebabkan resiko terjadi');
        $("#ddlriskdesc_riskimpact").attr('title', 'dampak dari loss event, dibagi menjadi: 1 loss opportunity of sales 2. financial loss 3. reputation loss 4. operation disruption');
        $("#txtriskdesc_riskimpactdesc").attr('title', 'deskripsi dari risk impact');
        $("#ddlriskdesc_risklevel").attr('title', 'risk level menggambarkan dampak thd perusahaan. Jika inherent risk adalah high, atau impact adalah major maka maka masuk ke level corporate. ');
        $("#txtihrrisk_notes").attr('title', 'masukkan asumsi untuk perhitungan impact dan probability / likelihood');
        $("#ddlihrrisk_finimpact").attr('title', 'masukkan dampak financial dari risk ke account yang relevant (jika ada), terdiri dari: 1. revenue (penurunan revenue)');
        $("#txtihrrisk_finimpactamount").attr('title', 'masukkan jumlah maximum foreseeable loss yang mungkin terjadi tanpa control isilah dengan angka dalam jutaan rupiah');
        $("#ddlihrrisk_oprimpact").attr('title', 'dimasukkan dampak operational yang relevan terhadap risk yang dibahas.');
        $("#txtihrrisk_oprimpactloss").attr('title', 'masukkan jumlah maximum foreseeable loss yang mungkin terjadi tanpa control untuk dampak operasional. persentase');
        $("#ddlihrrisk_qualitativeimpact").attr('title', 'penilaian secara qualitative dengan indicator strategic risk. ');
        $("#ddlihrrisk_impact").attr('title', 'penilaian impact ini akan otomatis muncul tergantung dari hasil penilaian ');
        $("#ddlihrrisk_likelihood").attr('title', 'penilaian yang menggambarkan probability kemungkinan / frekuensi terjadinya risk sebelum adanya control.');
        $("#ddlihrrisk_overallinherrisk").attr('title', 'penilaian overall inherent risk atau natural risk akan otomatis muncul berdasarkan nilai dari impact dan likelihood');
        $("#ddlihrrisk_ledbid").attr('title', 'data loss event db');
        $("#txtcurraction_preventive").attr('title', 'design control yang dilakukan untuk mencegah loss event(resiko) terjadi di saat awal');
        $("#txtcurraction_detective").attr('title', 'control yang dilakukan untuk mendeteksi error atau aktivitas yang tidak biasa di dalam sebuah proses');
        $("#txtcurraction_corrective").attr('title', 'control yang dilakukan jika loss event (resiko) sudah terjadi');
        $("#txtcurraction_controldesc").attr('title', 'seluruh control yang dimiliki suatu department untuk menurunkan tingkat resiko');
        $("#ddlcurraction_operation").attr('title', 'penilaian dari sisi control, apakah control dijalankan secara konsisten = always; tidak konsisten maupun tidak dijalankan sama sekali');
        $("#ddlcurraction_appropriateness").attr('title', 'penilaian control secara otomatis jika di isi assessment terhadap residual risk. membandingkan hasil inherent risk & residual risk');
        $("#ddlcurraction_overall").attr('title', 'penilaian terhadap total control secara otomatis, merupakan kombinasi dari operation dan appropriatness control');
        $("#txtresrisk_notes").attr('title', 'masukkan asumsi sebagai dasar perhitungan untuk residual risk');
        $("#txtresrisk_finimpactamount").attr('title', 'masukkan dampak financial 1 yang mungkin terjadi setelah control isilah dengan angka dalam jutaan rupiah');
        $("#txtresrisk_oprimpactloss").attr('title', 'masukkan dampak opersional 1 yang mungkin terjadi setelah control ');
        $("#ddlresrisk_strategicimpact").attr('title', 'penilaian secara qualitative dengan indicator stratgic risk');
        $("#ddlresrisk_likelihood").attr('title', 'penilaian yang menggambarkan frekuensi terjadinya resiko setelah adanya control');
        $("#ddlresrisk_overallresidual").attr('title', 'penilaian resiko setelah adanya control yang dilakukan');
        $("#txtexprisk_treatplan").attr('title', 'penilaian yang menggambarkan frekuensi terjadinya resiko setelah adanya control');
        $("#ddlexprisk_impact").attr('title', 'penilaian yang menggambarkan frekuensi terjadinya resiko setelah adanya control');
        $("#ddlexprisk_likelihood").attr('title', 'kemungkinan resiko terjadi ketika treatment plan sudah dilakukan');
        $("#ddlexprisk_overallexpected").attr('title', 'ini merupakan nilai expected risk yang dinilai secara otomatis. expected risk adalah resiko yang ditolerate oleh management');
        $("#txtexprisk_schedule").attr('title', 'kemungkinan resiko terjadi ketika treatment plan sudah dilakukan');

    }

    function tabwizard() {
        $('.next').click(function () {
            var nextId = $(this).parents('.tab-pane').next().attr("id");
            $('[href=#' + nextId + ']').tab('show');
            return false;
        });

        $('.back').click(function () {
            var prevId = $(this).parents('.tab-pane').prev().attr("id");
            $('[href=#' + prevId + ']').tab('show');
            return false;
        });

        $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
            //update progress
            var step = $(e.target).data('step');
            var percent = (parseInt(step) / 6) * 100;

            $('.progress-bar').css({ width: percent + '%' });
            $('.progress-bar').text("Step " + step + " of 6");

            //e.relatedTarget // previous tab
        });

        $('.first').click(function () {
            $('#myWizard a:first').tab('show');
        });

    }

    function loadComFinYear() {
        return $.ajax({
            url: '@Url.Action("GetComFinYear", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlyear').append('<option value="0">No Company Financial Data Found</option>');
                $.each(results, function (i, result) {
                    $('#ddlyear').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlyear').append('<option value="">No Company Financial Data Found</option>');
            }
        });
    }

    function loadCompanyKPI() {
        return $.ajax({
            url: '@Url.Action("GetCompanyKPI", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlcompanykpi').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddlcompanykpi').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
                document.getElementById("ddlcompanykpi").value = "0";
            },
            error: function (ex) {
                $('#ddlcompanykpi').append('<option value="">No data found</option>');
            }
        });
    }

    function loadDivKPI() {
        return $.ajax({
            url: '@Url.Action("GetDivKPI", "RiskRegister")?divid=0',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddldivisionkpi').empty();
                $('#ddldivisionkpi').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddldivisionkpi').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
                document.getElementById("ddldivisionkpi").value = "0";
            },
            error: function (ex) {
                $('#ddldivisionkpi').append('<option value="">No data found</option>');
            }
        });
    }

    function loadDeptKPI() {
        return $.ajax({
            url: '@Url.Action("GetDeptKPI", "RiskRegister")?deptid=0',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddldepartmentkpi').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddldepartmentkpi').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
                document.getElementById("ddldepartmentkpi").value = "0";
            },
            error: function (ex) {
                $('#ddldepartmentkpi').append('<option value="">No data found</option>');
            }
        });
    }


    function loadRiskImpact() {
        return $.ajax({
            url: '@Url.Action("GetRiskImpact", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlriskdesc_riskimpact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlriskdesc_riskimpact').append('<option value="">No data found</option>');
            }
        });
    }

    function loadRiskType() {
        return $.ajax({
            url: '@Url.Action("GetRiskType", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#txtriskdesc_riskimpactdesc').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#txtriskdesc_riskimpactdesc').append('<option value="">No data found</option>');
            }
        });
    }
    function loadRiskLevel() {
        return $.ajax({
            url: '@Url.Action("GetRiskLevel", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlriskdesc_risklevel').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddlriskdesc_risklevel').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
                document.getElementById("ddlriskdesc_risklevel").value = "0";
            },
            error: function (ex) {
                $('#ddlriskdesc_risklevel').append('<option value="">No data found</option>');
            }
        });
    }

    function loadFinancialImpact() {
        return $.ajax({
            url: '@Url.Action("GetFinancialImpact", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_finimpact').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddlihrrisk_finimpact').append('<option value="' + result.Value + '">' + result.Text + '</option>');

                });
                document.getElementById("ddlihrrisk_finimpact").value = "0";
            },
            error: function (ex) {
                $('#ddlihrrisk_finimpact').append('<option value="">No data found</option>');

            }
        });
    }

    function loadOperationalImpact() {
        return $.ajax({
            url: '@Url.Action("GetOperationImpact", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_oprimpact').append('<option value="0"></option>');
                $('#ddlIhrRiskOperationalImpact2').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddlihrrisk_oprimpact').append('<option value="' + result.Value + '">' + result.Text + '</option>');

                });
                document.getElementById("ddlihrrisk_oprimpact").value = "0";
            },
            error: function (ex) {
                $('#ddlihrrisk_oprimpact').append('<option value="">No data found</option>');

            }
        });
    }

    function loadStrategicImpact() {
        return $.ajax({
            url: '@Url.Action("GetStrategicImpact", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_qualitativeimpact').append('<option value="0"></option>');
                $('#ddlresrisk_strategicimpact').append('<option value="0"></option>');
                $('#ddlihrrisk_impact').append('<option value="0"></option>');
                $('#ddlresrisk_impact').append('<option value="0"></option>');
                $('#ddlexprisk_impact').append('<option value="0"></option>');

                $.each(results, function (i, result) {
                    $('#ddlihrrisk_qualitativeimpact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlresrisk_strategicimpact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlihrrisk_impact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlresrisk_impact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlexprisk_impact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
                document.getElementById("ddlihrrisk_qualitativeimpact").value = "0";
                document.getElementById("ddlresrisk_strategicimpact").value = "0";
                document.getElementById("ddlihrrisk_impact").value = "0";
                document.getElementById("ddlresrisk_impact").value = "0";
                document.getElementById("ddlexprisk_impact").value = "0";
            },
            error: function (ex) {
                $('#ddlihrrisk_qualitativeimpact').append('<option value="">No data found</option>');
                $('#ddlresrisk_strategicimpact').append('<option value="">No data found</option>');
                $('#ddlihrrisk_impact').append('<option value="">No data found</option>');
                $('#ddlresrisk_impact').append('<option value="">No data found</option>');
                $('#ddlexprisk_impact').append('<option value="">No data found</option>');
            }
        });
    }

    function loadLikelihood() {
        return $.ajax({
            url: '@Url.Action("GetLikelihood", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_likelihood').append('<option value="0"></option>');
                $('#ddlresrisk_likelihood').append('<option value="0"></option>');
                $('#ddlexprisk_likelihood').append('<option value="0"></option>');

                $.each(results, function (i, result) {
                    $('#ddlihrrisk_likelihood').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlresrisk_likelihood').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlexprisk_likelihood').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
                document.getElementById("ddlihrrisk_likelihood").value = "0";
                document.getElementById("ddlresrisk_likelihood").value = "0";
                document.getElementById("ddlexprisk_likelihood").value = "0";
            },
            error: function (ex) {
                $('#ddlihrrisk_likelihood').append('<option value="">No data found</option>');
                $('#ddlresrisk_likelihood').append('<option value="">No data found</option>');
                $('#ddlexprisk_likelihood').append('<option value="">No data found</option>');
            }
        });
    }

    function loadOperation() {
        return $.ajax({
            url: '@Url.Action("GetOperation", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlcurraction_operation').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddlcurraction_operation').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
                document.getElementById("ddlcurraction_operation").value = "0";
            },
            error: function (ex) {
                $('#ddlcurraction_operation').append('<option value="">No data found</option>');
            }
        });
    }

    function loadAppropriateness() {
        return $.ajax({
            url: '@Url.Action("GetAppropriateness", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlcurraction_appropriateness').append('<option value="0">N/A</option>');
                $.each(results, function (i, result) {
                    $('#ddlcurraction_appropriateness').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
                document.getElementById("ddlcurraction_appropriateness").value = "0";
            },
            error: function (ex) {
                $('#ddlcurraction_appropriateness').append('<option value="">No data found</option>');
            }
        });
    }

    function loadControlAction() {
        return $.ajax({
            url: '@Url.Action("GetOverallCurrAction", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlcurraction_overall').append('<option value="0">N/A</option>');
                $.each(results, function (i, result) {
                    $('#ddlcurraction_overall').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
                document.getElementById("ddlcurraction_overall").value = "0";
            },
            error: function (ex) {
                $('#ddlcurraction_overall').append('<option value="">No data found</option>');
            }
        });
    }

    function loadLossEventDB() {
        return $.ajax({
            url: '@Url.Action("GetLossEventDB", "RiskRegister")?deptid="0"',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_ledbid').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddlihrrisk_ledbid').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
                document.getElementById("ddlihrrisk_ledbid").value = "0";
            },
            error: function (ex) {
                $('#ddlihrrisk_ledbid').append('<option value="">No data found</option>');
            }
        });
    }

    function loadOverall() {
        return $.ajax({
            url: '@Url.Action("GetOverall", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_overallinherrisk').append('<option value="0"></option>');
                $('#ddlresrisk_overallresidual').append('<option value="0"></option>');
                $('#ddlexprisk_overallexpected').append('<option value="0"></option>');

                $.each(results, function (i, result) {
                    $('#ddlihrrisk_overallinherrisk').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlresrisk_overallresidual').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlexprisk_overallexpected').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
                document.getElementById("ddlihrrisk_overallinherrisk").value = "0";
                document.getElementById("ddlresrisk_overallresidual").value = "0";
                document.getElementById("ddlexprisk_overallexpected").value = "0";
            },
            error: function (ex) {
                $('#ddlihrrisk_overallinherrisk').append('<option value="">No data found</option>');
                $('#ddlresrisk_overallresidual').append('<option value="">No data found</option>');
                $('#ddlexprisk_overallexpected').append('<option value="">No data found</option>');
            }
        });
    }

    function loadDetail() {
        var GetDetail = '@Url.Action("getRiskRegisterAddDetail", "RiskRegister")';
        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("ddlyear").value = GetDetail.year;
                    document.getElementById("txtriskno").value = GetDetail.riskno;
                    document.getElementById("txtdepartment").value = GetDetail.department;
                    document.getElementById("txtdivision").value = GetDetail.division;
                    document.getElementById("hdDeptId").value = GetDetail.deptid;

                }
            },
            error: function () {

            }
        });
    }






    function getLossEvent() {
        var GetDetail = '@Url.Action("GetLossEvent", "RiskRegister")?id=' + $('#ddlihrrisk_ledbid').val();
        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("txtihrrisk_ledb").value = GetDetail.desc;

                }
            },
            error: function () {

            }
        });
    }

    function saveData(message) {
        //validation
        if (message == "Complete") {

            var finamount1 = parseFloat($('#txtihrrisk_finimpactamount').val().replace(/,/g, ''));
            var finamount2 = parseFloat($('#txtresrisk_finimpactamount').val().replace(/,/g, ''));

            var ihrrisk_impact = parseInt($('#ddlihrrisk_impact').val());
            var resrisk_impact = parseInt($('#ddlresrisk_impact').val());
            var exprisk_impact = parseInt($('#ddlexprisk_impact').val());
            var accept = document.getElementById("cbexprisk_accept").checked;

            var ihrrisk_likelihood = parseInt($('#ddlihrrisk_likelihood').val());
            var resrisk_likelihood = parseInt($('#ddlresrisk_likelihood').val());
            var exprisk_likelihood = parseInt($('#ddlexprisk_likelihood').val());

            if ($('#ddlcompanykpi').val() == "0" || $('#ddlcompanykpi').val() == null) {
                $('[href=#step1]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Company Objective / KPI field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            }
            else if ($('#ddldivisionkpi').val() == "0" || $('#ddldivisionkpi').val() == null) {
                $('[href=#step1]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Division Objective / KPI field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            }
            else if ($('#ddldepartmentkpi').val() == "0" || $('#ddldepartmentkpi').val() == null) {
                $('[href=#step1]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Department Objective / KPI field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            }
            else if ($('#txtactivitybp').val() == "") {
                $('[href=#step1]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Activity / Business Process field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            }
            else if ($('#txtriskdesc_loss').val().length == 0) {
                $('[href=#step2]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Loss field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            }
            else if ($('#txtriskdesc_caused').val().length == 0) {
                $('[href=#step2]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Caused field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            }
            else if ($('#ddlihrrisk_impact').val() == "0") {
                $('[href=#step3]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill minimum 1 (Financial Impact/ Operational Impact/ Startegic Impact) field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            }
            else if ($('#ddlihrrisk_likelihood').val() == "0") {
                $('[href=#step3]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Likelihood field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            }
            else if ($('#txtcurraction_controldesc').val() != "" && $('#ddlcurraction_operation').val() == "0") {

                $('[href=#step4]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Operation field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });


            }
            else if ($('#txtcurraction_controldesc').val() == "" && $('#ddlcurraction_operation').val() != "0") {

                $('[href=#step4]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Control Description field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });


            }
            else if ($('#ddlresrisk_impact').val() == "0") {
                $('[href=#step5]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill minimum 1 (Financial Impact/ Operational Impact/ Startegic Impact) field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            }
            else if ($('#ddlresrisk_likelihood').val() == "0") {
                $('[href=#step5]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Likelihood field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            }
            else if ($('#ddlihrrisk_finimpact').val() != "0" && $('#txtihrrisk_finimpactamount').val().replace(".00", "") == "0") {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Financial Impact Amount field (<label class='required'></label>)", function () {
                    $('[href=#step3]').tab('show');
                    setTimeout(function () { }, 500);
                });
            }
            else if ($('#ddlihrrisk_finimpact').val() != "0" && $('#txtresrisk_finimpactamount').val().replace(".00", "") == "0") {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Financial Impact Amount field (<label class='required'></label>)", function () {
                    $('[href=#step5]').tab('show');
                    setTimeout(function () { }, 500);
                });
            }
            else if ($('#ddlresrisk_likelihood').val() == "0") {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Likelihood field (<label class='required'></label>)", function () {
                    $('[href=#step4]').tab('show');
                    setTimeout(function () { }, 500);
                });
            }
            else if (accept == false && $('#txtexprisk_treatplan').val() == "") {
                $('[href=#step6]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Treatment Plan field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            }

            else if (accept == false && $('#ddlexprisk_impact').val() == "0") {
                $('[href=#step6]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Impact field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            }
            else if (accept == false && $('#ddlexprisk_likelihood').val() == "0") {
                $('[href=#step6]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Likelihood field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            }
            else if (accept == false && $('#txtexprisk_schedule').val() == "") {
                $('[href=#step6]').tab('show');
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill Schedule field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });

            }
                //impact
            else if (ihrrisk_impact > resrisk_impact || resrisk_impact > exprisk_impact) {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please make sure Inherent Risk Impact is bigger than Residual Risk Impact and Residual Risk Impact is bigger than Expected Risk Impact.", function () {
                    setTimeout(function () { }, 500);
                });
            } else if ($('#ddlihrrisk_finimpact').val() != "0" && finamount2 > finamount1) {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please make sure Inherent Risk Financial Impact amount is bigger than Residual Risk Financial Impact Amount.", function () {
                    setTimeout(function () { }, 500);
                });
            }//likelihood
            else if (ihrrisk_likelihood > resrisk_likelihood || resrisk_likelihood > exprisk_likelihood) {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please make sure Inherent Risk Likelihood is bigger than Residual Risk Likelihood and Residual Risk Likelihood is bigger than Expected Risk likelihood.", function () {
                    setTimeout(function () { }, 500);
                });
            }
            else {
                Save(message);
            }


        } else {
            Save(message);
        }



    }

    function Save(message) {
        //confirmation
        bootbox.confirm({
            title: "<i class='fa fa-warning fa-2x'></i> " + message + " Confirmation",
            message: 'Are you sure you want to ' + message + ' this data. <br>If not, click Cancel',
            buttons: {
                'cancel': {
                    label: '<i class="fa fa-times"></i> Cancel',
                    className: 'btn-default pull-left'
                },
                'confirm': {
                    label: '<i class="fa fa-check"></i> Yes, Continue save',
                    className: 'btn-primary pull-right'
                }
            },
            callback: function (result) {
                if (result) {

                    var RiskRegisterList = [
                         {
                             id: '@ViewBag.RowId',
                             comfinid: $('#ddlyear').val(),
                             riskno: $('#txtriskno').val(),
                             companykpi: $('#ddlcompanykpi').val(),
                             divisionkpi: $('#ddldivisionkpi').val(),
                             departmentkpi: $('#ddldepartmentkpi').val(),
                             deptid: $('#hdDeptId').val(),
                             activitybp: $('#txtactivitybp').val(),

                             riskdesc_loss: $('#txtriskdesc_loss').val(),
                             riskdesc_caused: $('#txtriskdesc_caused').val(),
                             riskdesc_riskimpactdesc: $('#txtriskdesc_riskimpactdesc').val(),
                             riskdesc_risklevel: $('#ddlriskdesc_risklevel').val(),

                             ihrrisk_notes: $('#txtihrrisk_notes').val(),
                             ihrrisk_finimpact: $('#ddlihrrisk_finimpact').val(),
                             ihrrisk_finimpactamount: $('#txtihrrisk_finimpactamount').val(),
                             ihrrisk_oprimpact: $('#ddlihrrisk_oprimpact').val(),
                             ihrrisk_oprimpactloss: $('#txtihrrisk_oprimpactloss').val(),
                             ihrrisk_qualitativeimpact: $('#ddlihrrisk_qualitativeimpact').val(),
                             ihrrisk_impact: $('#ddlihrrisk_impact').val(),
                             ihrrisk_likelihood: $('#ddlihrrisk_likelihood').val(),
                             ihrrisk_overallinherrisk: $('#ddlihrrisk_overallinherrisk').val(),
                             ihrrisk_ledbid: $('#ddlihrrisk_ledbid').val(),

                             curraction_preventive: $('#txtcurraction_preventive').val(),
                             curraction_detective: $('#txtcurraction_detective').val(),
                             curraction_corrective: $('#txtcurraction_corrective').val(),
                             curraction_controldesc: $('#txtcurraction_controldesc').val(),
                             curraction_operation: $('#ddlcurraction_operation').val(),
                             curraction_appropriateness: $('#ddlcurraction_appropriateness').val(),
                             curraction_overall: $('#ddlcurraction_overall').val(),

                             resrisk_notes: $('#txtresrisk_notes').val(),
                             resrisk_finimpactamount: $('#txtresrisk_finimpactamount').val(),
                             resrisk_oprimpactloss: $('#txtresrisk_oprimpactloss').val(),
                             resrisk_strategicimpact: $('#ddlresrisk_strategicimpact').val(),
                             resrisk_impact: $('#ddlresrisk_impact').val(),
                             resrisk_likelihood: $('#ddlresrisk_likelihood').val(),
                             resrisk_overallresidual: $('#ddlresrisk_overallresidual').val(),

                             exprisk_treatplan: $('#txtexprisk_treatplan').val(),
                             exprisk_accept: document.getElementById("cbexprisk_accept").checked,
                             exprisk_impact: $('#ddlexprisk_impact').val(),
                             exprisk_likelihood: $('#ddlexprisk_likelihood').val(),
                             exprisk_overallexpected: $('#ddlexprisk_overallexpected').val(),
                             exprisk_schedule: $('#txtexprisk_schedule').val(),
                             riskreg_status: oStatus,
                             version: oVersion
                         }
                    ];

                    var file1 = document.getElementById("file1").files[0];

                    RiskRegisterList.push();

                    var formData = new FormData();

                    formData.append("postedFileBase1", file1);

                    formData.append("RiskRegisterList", JSON.stringify(RiskRegisterList));


                    //Save Process
                    $.ajax({
                        type: "POST",
                        url: '@Url.Action("SaveRiskRegister", "RiskRegister")',
                        data: formData,
                        dataType: 'json',
                        contentType: false,
                        processData: false,
                        //beforeSend: function () {
                        //    //$("#loader").show();
                        //},
                        success: function (data) {
                            bootbox.dialog({
                                message: data.message,
                                title: data.title,
                                buttons: {
                                    main: {
                                        label: "<i class='fa fa-check'></i> Ok",
                                        className: "btn-primary",
                                        callback: function () {
                                            if (result) {
                                                if (data.status) {
                                                    window.location.href = '@Url.Action("RiskRegister", "RiskRegister")';
                                                }
                                            }
                                        }
                                    }
                                }
                            });
                        }
                    });

                }
            }
        });


    }

    function loadStrategicImpactView() {
        var GetDetail = '@Url.Action("getStrategicImpactDetail", "RiskRegister")';
        return $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("ew_catastrophic").value = GetDetail.ew_catastrophic;
                    document.getElementById("ew_major").value = GetDetail.ew_major;
                    document.getElementById("ew_moderate").value = GetDetail.ew_moderate;
                    document.getElementById("ew_minor").value = GetDetail.ew_minor;
                    document.getElementById("ew_insignificant").value = GetDetail.ew_insignificant;
                    document.getElementById("op_catastrophic").value = GetDetail.op_catastrophic;
                    document.getElementById("op_major").value = GetDetail.op_major;
                    document.getElementById("op_moderate").value = GetDetail.op_moderate;
                    document.getElementById("op_minor").value = GetDetail.op_minor;
                    document.getElementById("op_insignificant").value = GetDetail.op_insignificant;
                    document.getElementById("hr_catastrophic").value = GetDetail.hr_catastrophic;
                    document.getElementById("hr_major").value = GetDetail.hr_major;
                    document.getElementById("hr_moderate").value = GetDetail.hr_moderate;
                    document.getElementById("hr_minor").value = GetDetail.hr_minor;
                    document.getElementById("hr_insignificant").value = GetDetail.hr_insignificant;
                    document.getElementById("lr_catastrophic").value = GetDetail.lr_catastrophic;
                    document.getElementById("lr_major").value = GetDetail.lr_major;
                    document.getElementById("lr_moderate").value = GetDetail.lr_moderate;
                    document.getElementById("lr_minor").value = GetDetail.lr_minor;
                    document.getElementById("lr_insignificant").value = GetDetail.lr_insignificant;
                    document.getElementById("fi_catastrophic").value = GetDetail.fi_catastrophic;
                    document.getElementById("fi_major").value = GetDetail.fi_major;
                    document.getElementById("fi_moderate").value = GetDetail.fi_moderate;
                    document.getElementById("fi_minor").value = GetDetail.fi_minor;
                    document.getElementById("fi_insignificant").value = GetDetail.fi_insignificant;
                }
            },
            error: function () {

            }
        });
    }

    function setControlDesc() {
        var param1 = $('#txtcurraction_preventive').val();
        var param2 = $('#txtcurraction_detective').val();
        var param3 = $('#txtcurraction_corrective').val();
        var result = '';
        if (param1 != '') result = param1 + '\n';
        if (param2 != '') result = result + param2 + '\n';
        if (param3 != '') result = result + param3;


        document.getElementById("txtcurraction_controldesc").value = result;
    }

    function getIhrRiskImpact() {
        //alert('getIhrRiskImpact');
        var FinImpact = $('#ddlihrrisk_finimpact').val();
        var FinImpactAmount = $('#txtihrrisk_finimpactamount').val();
        var StrategicImpact = $('#ddlihrrisk_qualitativeimpact').val();
        var OprImpact = $('#ddlihrrisk_oprimpact').val();
        var OprImpactLoss = $('#txtihrrisk_oprimpactloss').val();
        var ComfinId = $('#ddlyear').val();
        var GetDetail = '@Url.Action("GetIhrRiskImpact", "RiskRegister")?FinImpact=' + FinImpact + '&FinImpactAmount=' + FinImpactAmount + '&OprImpact=' + OprImpact + '&OprImpactLoss=' + OprImpactLoss + '&StrategicImpact=' + StrategicImpact + '&ComfinId=' + ComfinId;

        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("ddlihrrisk_impact").value = GetDetail.ihrrisk_impact;
                    GetOverall("IhrRisk");
                    
                }
            },
            error: function () {

            }
        });
    }

    function getResRiskImpact() {
        //alert('getResRiskImpact');
        var FinImpact = $('#ddlihrrisk_finimpact').val();
        var FinImpactAmount = $('#txtresrisk_finimpactamount').val();
        var StrategicImpact = $('#ddlresrisk_strategicimpact').val();
        var OprImpact = $('#ddlihrrisk_oprimpact').val();
        var OprImpactLoss = $('#txtresrisk_oprimpactloss').val();
        var ComfinId = $('#ddlyear').val();

        var GetDetail = '@Url.Action("GetResRiskImpact", "RiskRegister")?FinImpact=' + FinImpact + '&FinImpactAmount=' + FinImpactAmount + '&OprImpact=' + OprImpact + '&OprImpactLoss=' + OprImpactLoss + '&StrategicImpact=' + StrategicImpact + '&ComfinId=' + ComfinId;



        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {

                    document.getElementById("ddlresrisk_impact").value = GetDetail.resrisk_impact;
                    GetOverall("ResRisk");
                    
                }
            },
            error: function () {

            }
        });
    }

    function GetOverall(ddl) {

        var param1 = "";
        var param2 = "";
        var overalltype = "Overall";
        //alert('GetOverall : ' + ddl);

        if (ddl == "IhrRisk") {
            param1 = $("#ddlihrrisk_impact").val();
            param2 = $("#ddlihrrisk_likelihood").val();
        }
        if (ddl == "ResRisk") {
            param1 = $("#ddlresrisk_impact").val();
            param2 = $("#ddlresrisk_likelihood").val();
        }
        if (ddl == "ExpRisk") {
            param1 = $("#ddlexprisk_impact").val();
            param2 = $("#ddlexprisk_likelihood").val();
        }
        if (ddl == "CurrActionOvr") {
            param1 = $("#ddlihrrisk_overallinherrisk").val();
            param2 = $("#ddlresrisk_overallresidual").val();
            overalltype = "Control";
        }
        if (ddl == "CurrActionAppr") {
            param1 = $("#ddlcurraction_operation").val();
            param2 = $("#ddlcurraction_overall").val();
        }


        //alert('GetOverall : ' + ddl + ', overalltype : ' + overalltype + ', param 1 :' + param1 + ',param 2 :' + param2);

        var getOverall = '@Url.Action("GetOverall", "RiskRegister")?overalltype=' + overalltype + '&param1=' + param1 + '&param2=' + param2;

        $.ajax(getOverall, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (getOverall) {
                if (getOverall.success) {
                    //alert('GetOverall : ' + ddl + ',Overall : ' + getOverall.overall);
                    if (ddl == "IhrRisk") {
                        document.getElementById("ddlihrrisk_overallinherrisk").value = getOverall.overall;
                        GetOverall("CurrActionOvr");
                    } else if (ddl == "ResRisk") {
                        document.getElementById("ddlresrisk_overallresidual").value = getOverall.overall;
                        GetOverall("CurrActionOvr");
                    } else if (ddl == "ExpRisk") {
                        document.getElementById("ddlexprisk_overallexpected").value = getOverall.overall;
                    } else if (ddl == "CurrActionOvr") {
                        document.getElementById("ddlcurraction_overall").value = getOverall.overall;
                        GetOverall("CurrActionAppr");
                    } else if (ddl == "CurrActionAppr") {
                        document.getElementById("ddlcurraction_appropriateness").value = getOverall.overall;
                        //alert('GetOverall : ' + ddl + ', overalltype : ' + overalltype + ', param 1 :' + param1 + ',param 2 :' + param2 + ',result : ' + getOverall.overall);
                    }

                } else {
                    bootbox.alert("<i class='fa fa-warning fa-2x'></i> data not found.", function () {
                        setTimeout(function () { }, 500);
                    });
                }
            },
            error: function () {

            }
        });

    }

    function CopyResRisk() {

        document.getElementById("ddlexprisk_impact").value = $('#ddlresrisk_impact').val();
        document.getElementById("ddlexprisk_likelihood").value = $('#ddlresrisk_likelihood').val();
        document.getElementById("ddlexprisk_overallexpected").value = $('#ddlresrisk_overallresidual').val();
        document.getElementById("txtexprisk_treatplan").value = "Accept";
        document.getElementById("txtexprisk_schedule").value = "";
        $("#txtexprisk_treatplan").prop('disabled', true);
        $("#txtexprisk_schedule").prop('disabled', true);
        $("#ddlexprisk_impact").prop('disabled', true);
        $("#ddlexprisk_likelihood").prop('disabled', true);
    }


    var oTable;
    function loadLossEventDBList() {
        var aryColTableChecked = [];
        for (var idx = 1; idx < 6; idx++) {
            aryColTableChecked.push("field" + idx);
        }

        var aoColumnDef = [];

        $.each(aryColTableChecked, function (i, value) {

            var obj = {
                "mData": value, "aTargets": [i]
            }
            aoColumnDef.push(obj);
        });

        if (oTable != null) {
            oTable.fnDestroy();
        }

        oTable = $('#tblData').dataTable({
            "sAjaxSource": "@Url.Action("getLossEventDBList", "RiskRegister")",
            "bServerSide": false,
            "bProcessing": true,
            "bSort": false,
            "bPaginate": true,
            "bLengthChange": false,
            "bStateSave": false,
            "bDestroy": true,
            "bRetrieve": true,
            "fnServerData": function (sSource, aoData, fnCallback) {
                $.ajax({
                    "dataType": "json",
                    "type": "POST",
                    "url": sSource,
                    "data": aoData,
                    "success": fnCallback
                });
            },
            "sDom": '<"#tblData_header.clearfix "<"pull-left"l><"pull-right"r>><"table-responsive"t><"#ScrollTop"><"#tblData_footer.clearfix "<"pull-left"i><"pull-right"p>>',

            "aoColumnDefs": aoColumnDef,
            "iDisplayLength": 10,
            "oLanguage": {
                "sProcessing": '<i class="fa fa-spinner fa-spin"></i> Retrieve Data ... ',
                "sLengthMenu": '_MENU_'
            },
        });

        oTable.fnSettings().aoColumns[0].sClass = "text-center";
        oTable.fnSettings().aoColumns[1].sClass = "text-center";
        oTable.fnSettings().aoColumns[2].sClass = "text-center";
        oTable.fnSettings().aoColumns[3].sClass = "text-left";
        oTable.fnSettings().aoColumns[4].sClass = "text-center";

    }

    $(document).ready(function () {
        loadTooltip();
        tabwizard();
        loadComFinYear().then(loadCompanyKPI).then(loadDivKPI).then(loadDeptKPI).then(loadRiskImpact).then(loadRiskType).then(loadRiskLevel).then(loadFinancialImpact).then(loadLossEventDB).then(loadLossEventDBList).then(loadOperationalImpact).then(loadStrategicImpact).then(loadLikelihood).then(loadOperation).then(loadAppropriateness).then(loadControlAction).then(loadOverall).then(loadStrategicImpactView).then(loadDetail);

        $(document).on("change", '#ddlihrrisk_finimpact', function (e) {
            document.getElementById("txtihrrisk_finimpactamount").value = "0";
            document.getElementById("txtresrisk_finimpactamount").value = "0";
            if ($('#ddlihrrisk_finimpact').val() == '0') {
                $("#txtihrrisk_finimpactamount").prop('disabled', true);
                $("#txtresrisk_finimpactamount").prop('disabled', true);
                getIhrRiskImpact();
                getResRiskImpact();
            } else {
                $("#txtihrrisk_finimpactamount").prop('disabled', false);
                $("#txtresrisk_finimpactamount").prop('disabled', false);
                getResRiskImpact();
            }
            
        });

        $(document).on("change", '#ddlihrrisk_oprimpact', function (e) {
            document.getElementById("txtihrrisk_oprimpactloss").value = "0";
            document.getElementById("txtresrisk_oprimpactloss").value = "0";
            if ($('#ddlihrrisk_oprimpact').val() == '0') {
                $("#txtihrrisk_oprimpactloss").prop('disabled', true);
                $("#txtresrisk_oprimpactloss").prop('disabled', true);
                getIhrRiskImpact();
                getResRiskImpact();
            } else {
                $("#txtihrrisk_oprimpactloss").prop('disabled', false);
                $("#txtresrisk_oprimpactloss").prop('disabled', false);
                getResRiskImpact();
            }
        });

        $("#btnSave").click(function () {
            oVersion = "0";
            oStatus = "63";//Draft
            saveData("Save");
        });
        $("#btnComplete").click(function () {
            oVersion = "1";
            oStatus = "75";//Complete
            saveData("Complete");
        });
        $("#btnApprove").click(function () {
            oVersion = "1";
            oStatus = "65";//Approve
            saveData("Approve");
        });
        $("#btnReject").click(function () {
            oVersion = "1";
            oStatus = "66";//Reject
            saveData("Reject");
        });


        $("#btnaddriskdesc_riskimpact").click(function () {

            var riskimpact = $('#ddlriskdesc_riskimpact option:selected').text();
            var riskdesc = $('#txtriskdesc_riskimpactdesc').val();
            var riskdesc2 = '';

            if (riskdesc == '') riskdesc2 = riskimpact;
            else
                riskdesc2 = riskdesc + '\n' + riskimpact;

            document.getElementById("txtriskdesc_riskimpactdesc").value = riskdesc2;
        });

        $("#cbexprisk_accept").change(function () {
            if ($(this).is(':checked')) {
                CopyResRisk();
            } else {
                $("#txtexprisk_treatplan").prop('disabled', false);
                $("#txtexprisk_schedule").prop('disabled', false);
                $("#ddlexprisk_impact").prop('disabled', false);
                $("#ddlexprisk_likelihood").prop('disabled', false);
		document.getElementById("txtexprisk_treatplan").value = "";
            }
        });
        //Inherent Risk
        $("#txtihrrisk_finimpactamount").focusout(function () { // focusout method to bind function
            //alert('focusout txtihrrisk_finimpactamount');
            getIhrRiskImpact();
        });
        $("#txtihrrisk_oprimpactloss").focusout(function () { // focusout method to bind function
            getIhrRiskImpact();
        });
        $(document).on("change", '#ddlihrrisk_qualitativeimpact', function (e) {
            getIhrRiskImpact();
        });
        $(document).on("change", '#ddlihrrisk_likelihood', function (e) {
            getIhrRiskImpact();
        });





        //Current Action
        $(document).on("change", '#ddlcurraction_operation', function (e) {
            GetOverall("CurrActionOvr");
        });

        //Residual Risk
        $("#txtresrisk_finimpactamount").focusout(function () { // focusout method to bind function
            getResRiskImpact();
        });
        $("#txtresrisk_oprimpactloss").focusout(function () { // focusout method to bind function
            getResRiskImpact();
        });
        $(document).on("change", '#ddlresrisk_strategicimpact', function (e) {
            getResRiskImpact();
        });
        $(document).on("change", '#ddlresrisk_likelihood', function (e) {
            getResRiskImpact();
        });

        //Expected Risk
        $(document).on("change", '#ddlexprisk_impact', function (e) {
            GetOverall("ExpRisk");
        });
        $(document).on("change", '#ddlexprisk_likelihood', function (e) {
            GetOverall("ExpRisk");
        });

        //Current Action
        $(document).on("change", '#txtcurraction_preventive', function (e) {
            setControlDesc();
        });
        $(document).on("change", '#txtcurraction_detective', function (e) {
            setControlDesc();
        });
        $(document).on("change", '#txtcurraction_corrective', function (e) {
            setControlDesc();
        });

        $(document).on("change", '#ddlihrrisk_ledbid', function (e) {
            getLossEvent();
        });


        $('.btn-file :file').on('fileselect', function (event, numFiles, label) {
            var input = $(this).parents('.input-group').find(':text'),
                log = numFiles > 1 ? numFiles + ' files selected' : label;
            if (input.length) {
                input.val(log);
            } else {
                if (log) alert(log);
            }
        });
    });

    $(document).on('change', '.btn-file :file', function () {
        var input = $(this),
            numFiles = input.get(0).files ? input.get(0).files.length : 1,
            label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
        input.trigger('fileselect', [numFiles, label]);
    });


</script>



<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }

    hr {
        border-width: 1px;
        border-color: black;
    }
</style>

<input type="hidden" id="hdDeptId" />
<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Add Risk
        </div>
        <div class="panel-body">

            <div class="navbar-inner">
                <ul class="nav nav-pills nav-wizard">
                    <li class="active">
                        <a class="hidden-xs" href="#step1" data-toggle="tab" data-step="1">1. Division/ Department</a>
                        <a class="visible-xs" href="#step1" data-toggle="tab" data-step="1">1.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li>
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step2" data-toggle="tab" data-step="2">2. Risk Description</a>
                        <a class="visible-xs" href="#step2" data-toggle="tab" data-step="2">2.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li>
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step3" data-toggle="tab" data-step="3">3. Inherent Risk</a>
                        <a class="visible-xs" href="#step3" data-toggle="tab" data-step="3">3.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li>
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step4" data-toggle="tab" data-step="4">4. Current Action / Controls</a>
                        <a class="visible-xs" href="#step4" data-toggle="tab" data-step="4">4.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li>
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step5" data-toggle="tab" data-step="5">5. Residual Risk</a>
                        <a class="visible-xs" href="#step5" data-toggle="tab" data-step="5">5.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li>
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step6" data-toggle="tab" data-step="6">6. Expected Risk</a>
                        <a class="visible-xs" href="#step6" data-toggle="tab" data-step="6">6.</a>
                    </li>
                </ul>
            </div>
            <div class="tab-content">
                <!--1. Division/ Department-->
                <div class="tab-pane fade in active" id="step1">

                    <div class="well">
                        <!--Risk No-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtriskno">Risk No</label></div>
                            <div class="col-sm-4"><input type="text" disabled="disabled" class="form-control" id="txtriskno"></div>

                        </div>
                        <!--Year-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlyear">Year Company Financial Data</label></div>
                            <div class="col-sm-4">
                                <select class="form-control" disabled="disabled" id="ddlyear"></select>
                            </div>
                        </div>
                        <!--Division-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtdivision">Division</label></div>
                            <div class="col-sm-4"><input type="text" disabled="disabled" class="form-control" id="txtdivision"></div>
                        </div>

                        <!--Company Objective / KPI -->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="ddlcompanykpi">Company Objective / KPI</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlcompanykpi"></select></div>
                        </div>
                        <!--Division Objective / KPI -->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="ddldivisionkpi">Division Objective / KPI</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddldivisionkpi"></select></div>
                        </div>
                        <!--Department-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtdepartment">Department</label></div>
                            <div class="col-sm-4"><input type="text" disabled="disabled" class="form-control" id="txtdepartment"></div>
                        </div>
                        <!--Department Objective / KPI -->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="ddldepartmentkpi">Department Objective / KPI</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddldepartmentkpi"></select></div>
                        </div>
                        <!--Activity Business Process-->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="txtactivitybp">Activity / Business Process</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtactivitybp"></textarea></div>
                        </div>
                    </div>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--2. Risk Description-->
                <div class="tab-pane fade" id="step2">

                    <div class="well">
                        <!--Loss-->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="txtriskdesc_loss">Loss Event</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtriskdesc_loss"></textarea></div>
                        </div>
                        <!--Caused-->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="txtriskdesc_caused">Caused</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtriskdesc_caused"></textarea></div>
                        </div>
                        <!--Risk Impact (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlriskdesc_riskimpact">Risk Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlriskdesc_riskimpact"></select></div>
                            <div class="col-sm-4">
                                <button type="button" class="btn btn-primary" id="btnaddriskdesc_riskimpact" name="btnAddRiskRegister">
                                    <span class="glyphicon glyphicon-plus-sign"></span> Add Risk Impact
                                </button>
                            </div>
                        </div>
                        <!--Risk Impact Desc-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtriskdesc_riskimpactdesc">Risk Impact Description</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtriskdesc_riskimpactdesc"></textarea></div>
                        </div>
                        <!--Risk Level (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlriskdesc_risklevel">Risk Level</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlriskdesc_risklevel"></select></div>
                        </div>

                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--3. Inherent Risk-->
                <div class="tab-pane fade" id="step3">

                    <div class="well">
                        <!--Notes-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtihrrisk_notes">Notes</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtihrrisk_notes"></textarea></div>
                        </div>
                        <hr />
                        <!--Financial Impact  (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_finimpact">Financial Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlihrrisk_finimpact"></select></div>

                        </div>
                        <!--Financial Impact Amount -->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtihrrisk_finimpactamount">Amount</label></div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <span class="input-group-addon">IDR</span>
                                    <input type="text" disabled="disabled" class="form-control text-right" value="0" id="txtihrrisk_finimpactamount">
                                </div>
                            </div>
                            <div class="col-sm-4"><label class="label-def-margin text-red">(in million rupiah)</label></div>
                        </div>

                        <!--Operational Impact (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_oprimpact">Operational Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlihrrisk_oprimpact"></select></div>
                        </div>
                        <!--Operational Impact Loss-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtihrrisk_oprimpactloss">Loss</label></div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <input type="text" disabled="disabled" class="form-control text-right" value="0" style="width:271px" id="txtihrrisk_oprimpactloss">
                                </div>
                            </div>
                            <div class="col-sm-1"><label class="label-def-margin text-red" for="ddlihrrisk_oprimpact">% / Days</label></div>
                        </div>
                        <!--Startegic Impact (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_qualitativeimpact">Startegic Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlihrrisk_qualitativeimpact"></select></div>
                            <div class="col-sm-4">
                                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#StrategicImpactModal">View</button>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12"><label class="label-def-margin text-red">Note : Select minimum 1 (Financial Impact/ Operational Impact/ Strategic Impact)</label></div>
                        </div>
                        <hr />

                        <!--Impact (disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_impact">Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlihrrisk_impact"></select></div>
                        </div>
                        <!--Likelihood (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="ddlihrrisk_likelihood">Likelihood</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlihrrisk_likelihood"></select></div>
                        </div>
                        <!--Overall Inherent Risk (disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_overallinherrisk">Overall Inherent Risk</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlihrrisk_overallinherrisk"></select></div>
                        </div>
                        <!--LEDB-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_ledbid">LEDB</label></div>
                            <div class="col-sm-6"><select class="form-control" id="ddlihrrisk_ledbid"></select></div>
                            <div class="col-sm-4">
                                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#LossEventDBModal">View</button>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtihrrisk_ledb">Loss Event Description</label></div>
                            <div class="col-sm-8"><textarea class="form-control" disabled="disabled" rows="5" id="txtihrrisk_ledb"></textarea></div>
                        </div>
                        <!--File 1-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin">File</label></div>
                            <div class="col-sm-6">
                                <div class="input-group">
                                    <input type="text" id="txtfile1" placeholder="Please select file" class="form-control" readonly>
                                    <span class="input-group-btn">
                                        <span class="btn btn-primary btn-file">
                                            Browse &hellip; <input name="file1" id="file1" type="file" multiple>
                                        </span>
                                    </span>
                                </div>
                            </div>


                        </div>

                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--4. Current Action / Controls to Manage The Risk-->
                <div class="tab-pane fade" id="step4">

                    <div class="well">
                        <!--Preventive-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtcurraction_preventive">Preventive</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtcurraction_preventive"></textarea></div>
                        </div>

                        <!--Detective-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtcurraction_detective">Detective</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtcurraction_detective"></textarea></div>
                        </div>
                        <!--Corrective-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtcurraction_corrective">Corrective</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtcurraction_corrective"></textarea></div>
                        </div>
                        <!--Control Description-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtcurraction_controldesc">Control Description</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" disabled="disabled" id="txtcurraction_controldesc"></textarea></div>
                        </div>
                        <!--Operation (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlcurraction_operation">Operation</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlcurraction_operation"></select></div>
                        </div>
                        <!--Appropriateness-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlcurraction_appropriateness">Appropriateness</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlcurraction_appropriateness"></select></div>
                        </div>
                        <!--Overall-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlcurraction_overall">Overall</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlcurraction_overall"></select></div>
                        </div>

                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--5. Residual Risk-->
                <div class="tab-pane fade" id="step5">

                    <div class="well">
                        <!--Notes-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtresrisk_notes">Notes</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtresrisk_notes"></textarea></div>
                        </div>
                        <hr />
                        <!--Financial Impact Amount-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtresrisk_finimpactamount">Financial Impact - Amount</label></div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <span class="input-group-addon">IDR</span>
                                    <input type="text" class="form-control text-right" disabled="" value="0" id="txtresrisk_finimpactamount">
                                </div>
                            </div>
                            <div class="col-sm-4"><label class="label-def-margin text-red">(in million rupiah)</label></div>
                        </div>
                        <!--Operational Impact Loss-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtresrisk_oprimpactloss">Operational Impact - Loss</label></div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <input type="text" class="form-control text-right" disabled="" style="width:271px" value="0" id="txtresrisk_oprimpactloss">
                                </div>
                            </div>
                            <div class="col-sm-2"><label class="label-def-margin text-red" for="ddlihrrisk_oprimpact">% / Days</label></div>
                        </div>

                        <!--Strategic Impact (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlresrisk_strategicimpact">Strategic Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlresrisk_strategicimpact"></select></div>
                            <div class="col-sm-4">
                                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#StrategicImpactModal">View</button>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12"><label class="label-def-margin text-red">Note : Select minimum 1 (Financial Impact/ Operational Impact/ Strategic Impact)</label></div>
                        </div>
                        <hr />
                        <!--Impact (Disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlresrisk_impact">Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlresrisk_impact"></select></div>
                        </div>
                        <!--Likelihood (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="ddlresrisk_likelihood">Likelihood</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlresrisk_likelihood"></select></div>
                        </div>
                        <!--Overall Residual (Disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlresrisk_overallresidual">Overall Residual</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlresrisk_overallresidual"></select></div>
                        </div>

                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--6. Expected Risk-->
                <div class="tab-pane fade" id="step6">

                    <div class="well">
                        <!--Treatment Plan-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtexprisk_treatplan">Treatment Plan</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtexprisk_treatplan"></textarea></div>
                        </div>
                        <!--Impact (disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="ddlexprisk_impact">Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlexprisk_impact"></select></div>
                            <div class="col-sm-2">
                                <input type="checkbox" class="form-check-input" id="cbexprisk_accept">
                                <label class="form-check-label" for="cbexprisk_accept">Accept</label>
                            </div>
                        </div>
                        <!--Likelihood (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="ddlexprisk_likelihood">Likelihood</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlexprisk_likelihood"></select></div>
                        </div>
                        <!--Overall Expected (disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlexprisk_overallexpected">Overall Expected</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlexprisk_overallexpected"></select></div>
                        </div>

                        <!--Schedule-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtexprisk_schedule">Schedule</label></div>
                            <div class="col-sm-4"><input type="text" class="form-control" id="txtexprisk_schedule"></div>
                        </div>

                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                </div>
            </div>

        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-12">
                    <button type="button" id="btnSave" class="btn btn-primary">
                        <span class="glyphicon glyphicon-floppy-disk"></span> Save as Draft
                    </button>
                    &nbsp;
                    <button type="button" id="btnComplete" class="btn btn-primary">
                        <span class="glyphicon glyphicon-ok-sign"></span> Save
                    </button>
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("RiskRegister", "RiskRegister") + "'");">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>
    </div>

</div>

<!-- Strategic Impact -->
<div id="StrategicImpactModal" class="modal fade" role="dialog">
    <div class="modal-dialog modal-lg">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Strategic Impact</h4>
            </div>
            <div class="modal-body">
                <!--Title-->
                <div class="row center-block">
                    <div class="col-sm-1"></div>
                    <div class="col-sm-2 text-center"><label class="label-def-margin">Entity Wide</label></div>
                    <div class="col-sm-2 text-center"><label class="label-def-margin">Output</label></div>
                    <div class="col-sm-2 text-center"><label class="label-def-margin">Human Resource</label></div>
                    <div class="col-sm-2 text-center"><label class="label-def-margin">Legal & Regulatory</label></div>
                    <div class="col-sm-2 text-center"><label class="label-def-margin">Financial</label></div>
                    <div class="col-sm-1"></div>
                </div>
                <!--Catastrophic-->
                <div class="row">
                    <div class="col-sm-1"></div>
                    <div class="col-sm-10 text-center alert alert-warning2" role="alert"><strong>Catastrophic</strong></div>
                    <div class="col-sm-1"></div>
                </div>
                <div class="row">
                    <div class="col-sm-1"></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="ew_catastrophic"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="op_catastrophic"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="hr_catastrophic"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="lr_catastrophic"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="fi_catastrophic"></textarea></div>
                    <div class="col-sm-1"></div>
                </div>
                <!--Major-->
                <div class="row">
                    <div class="col-sm-1"></div>
                    <div class="col-sm-10 text-center alert alert-warning3" role="alert"><strong>Major</strong></div>
                    <div class="col-sm-1"></div>
                </div>
                <div class="row">
                    <div class="col-sm-1"></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="ew_major"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="op_major"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="hr_major"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="lr_major"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="fi_major"></textarea></div>
                    <div class="col-sm-1"></div>
                </div>
                <!--Moderate-->
                <div class="row">
                    <div class="col-sm-1"></div>
                    <div class="col-sm-10 text-center alert alert-warning4" role="alert"><strong>Moderate</strong></div>
                    <div class="col-sm-1"></div>
                </div>
                <div class="row">
                    <div class="col-sm-1"></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="ew_moderate"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="op_moderate"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="hr_moderate"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="lr_moderate"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="fi_moderate"></textarea></div>
                    <div class="col-sm-1"></div>
                </div>
                <!--Minor-->
                <div class="row">
                    <div class="col-sm-1"></div>
                    <div class="col-sm-10 text-center alert alert-warning5" role="alert"><strong>Minor</strong></div>
                    <div class="col-sm-1"></div>
                </div>
                <div class="row">
                    <div class="col-sm-1"></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="ew_minor"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="op_minor"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="hr_minor"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="lr_minor"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="fi_minor"></textarea></div>
                    <div class="col-sm-1"></div>
                </div>
                <!--Insignificant-->
                <div class="row">
                    <div class="col-sm-1"></div>
                    <div class="col-sm-10 text-center alert alert-warning6" role="alert"><strong>Insignificant</strong></div>
                    <div class="col-sm-1"></div>
                </div>
                <div class="row">
                    <div class="col-sm-1"></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="ew_insignificant"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="op_insignificant"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="hr_insignificant"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="lr_insignificant"></textarea></div>
                    <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5" disabled="disabled" id="fi_insignificant"></textarea></div>
                    <div class="col-sm-1"></div>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>

    </div>
</div>

<!-- LossEventDB -->
<div id="LossEventDBModal" class="modal fade" role="dialog">
    <div class="modal-dialog modal-lg">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Loss Event</h4>
            </div>
            <div class="modal-body">
                <table id="tblData" class="table table-striped table-hover table-bordered" width="100%" style="font-size: 10px; margin-top: 0 !important; margin-bottom: 0 !important; padding-top: 0 !important; padding-bottom: 0 !important;">
                    <thead class="bg-mantle-gradient">
                        <tr>
                            <th style="width: 50px;">No &nbsp; </th>
                            <th style="width: 123px;">LEDB No &nbsp;</th>
                            <th style="width: 77px;">Date &nbsp; </th>
                            <th style="width: 600px;">Desc &nbsp; </th>
                            <th>Related Parties &nbsp; </th>
                        </tr>
                    </thead>
                </table>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>

    </div>
</div>